Page MenuHomePhabricator

CX2: Infoboxes missing in source article
Closed, ResolvedPublic

Description

Many pages are missing the infobox in the first section. The problem is there for about a month now. Here is one example:

Details

Related Gerrit Patches:
mediawiki/services/cxserver : masterRewrite the section-wrap logic

Event Timeline

Pginer-WMF triaged this task as Medium priority.Aug 24 2018, 10:46 AM
santhosh claimed this task.Sep 7 2018, 6:10 AM

In cxserver we are removing sections with class nomobile and noprint. We have this assumption that the elements with these classes are unrelated to the content and not translatable. Most of the time, these classes are present for the notices, and such meta content. Either our assumption is wrong or the Templates has this class unintentionally.

Here is the html mark up for the Infobox Settlement in the example en:Virovitica

<div class="shortdescription nomobile noexcerpt noprint searchaux" style="display:none" about="#mwt3" typeof="mw:Transclusion" data-mw='{"parts":[{"template":{"target":{"wt":"Infobox Settlement\n............

Change 458780 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Rewrite the section-wrap logic

https://gerrit.wikimedia.org/r/458780

Change 458780 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Rewrite the section-wrap logic

https://gerrit.wikimedia.org/r/458780

Etonkovidova added a comment.EditedSep 13 2018, 4:28 PM

Checked en:Virovitica in cx2 - the infobox is displayed in the source article but there are few display deficiencies when comparing to cx1: the infobox is stretched, the source displays the outlined fields etc

cx1cx2

Another example of an article with the same template - en: Čakovec

@santhosh, @Pginer-WMF - I filed two additional tickets - T204285: CX2: Infobox displays ve-ce- elements added to source article and T204286: CX2: Infobox template displayed incorrectly in source article.

Etonkovidova closed this task as Resolved.Sep 14 2018, 12:05 AM
Petar.petkovic removed a subscriber: gerritbot.
Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-09-24T04:10:54Z] <kartik@deploy1001> Started deploy [cxserver/deploy@3e2d668]: Update cxserver to d913793 (T203551, T203780, T202716, T203947)

Mentioned in SAL (#wikimedia-operations) [2018-09-24T04:15:13Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@3e2d668]: Update cxserver to d913793 (T203551, T203780, T202716, T203947) (duration: 04m 20s)